---
title: convertShapeToPath
svgo:
  pluginId: convertShapeToPath
  defaultPlugin: true
  parameters:
    convertArcs:
      description: If to convert `<circle>` and `<ellipse>` elements to paths.
      default: false
    floatPrecision:
      description: Number of decimal places to round to, using conventional rounding rules.
      default: null
---

Convert basic shapes to [`<path>`](https://developer.mozilla.org/docs/Web/SVG/Element/path) elements.
